import { system, world, BlockLocation } from "@minecraft/server";

system.events.beforeWatchdogTerminate.subscribe(data => {
  data.cancel = true;
});

let posX = "";
let posY = "";
let posZ = "";

world.events.entityHit.subscribe((hit) =>{
  posX = hit.hitBlock.location.x;
  posY = hit.hitBlock.location.y;
  posZ = hit.hitBlock.location.z;
});

world.events.entityHurt.subscribe((hurt) => {
  let hurtEntity = hurt.hurtEntity;
  let p = hurt.damageSource.damagingEntity;
  let container = p.getComponent("inventory").container;
  let hand = container.getItem(p.selectedSlot);

  if (hand.typeId == "pa:spectrite_sword") {
    p.addTag("damager");
    hurtEntity.runCommandAsync(`summon new:tagremove`);
    hurtEntity.runCommandAsync(`particle pa:barrido ^ ^1 ^1`);
    p.runCommandAsync(`playsound 6dad269a-4a3a-41b7-977e-b4c75ca6ca63`);
  }
  if (hand.typeId == "pa:super_spectrite_sword") {
    p.addTag("damager");
    hurtEntity.runCommandAsync(`summon new:tagremove`);
    hurtEntity.runCommandAsync(`particle pa:barrido ^ ^1 ^1`);
    hurtEntity.runCommandAsync(`summon lightning_bolt ~~~`);
    p.runCommandAsync(`playsound 6dad269a-4a3a-41b7-977e-b4c75ca6ca63`);
  }
});


world.events.blockBreak.subscribe((blockEvent) => {
  let p = blockEvent.player;
  let block = blockEvent.block;

  

  let container = p.getComponent("inventory").container;
  let hand = container.getItem(p.selectedSlot);

  if (hand.typeId == "pa:spectrite_axe") {
    p.runCommandAsync(`summon new:axe ${posX} ${posY} ${posZ} new:axe_function`);
    posX = "";
    posY = "";
    posZ = "";
  }
});